Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class ELNode.ELText

    java.lang.Object
      org.apache.jasper.compiler.ELNode
          org.apache.jasper.compiler.ELNode.ELText

Enclosing class:
  org.apache.jasper.compiler.ELNode

public static class ELNode.ELText
extends org.apache.jasper.compiler.ELNode

Represents anything in EL expression, other than functions, including function arguments etc

Nested Class Summary
`static class` | `ELNode.ELText` Represents anything in EL expression, other than functions, including function arguments etc
`static class` | `ELNode.Function` Represents a function Currently only include the prefix and function name, but not its arguments.
`static class` | `ELNode.Nodes` An ordered list of ELNode.
`static class` | `ELNode.Root` Represents an EL expression: anything in ${ and }.
`static class` | `ELNode.Text` Represents text outside of EL expression.
`static class` | `ELNode.Visitor`

Method Summary
`void` | `accept(ELNode.Visitor v)`
`java.lang.String` | `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public void accept(ELNode.Visitor v)
                throws JasperException

  Throws:
    `JasperException`

### getText

    public java.lang.String getText()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.